<?php
load_plugin_lang('watermark');

switch ($PLUGIN_ACTION) {
	// Affichage simple de la configuration
	case 'read_config':
		$PAGE['content'] .= '
		<table>
			<tr>
				<td>'.l10n('watermark.waterFILE').' :</td>
				<td>'.$plugin_config['waterFILE'].'</td>
			</tr>
			<tr>
				<td>'.l10n('watermark.waterALPHA').' :</td>
				<td>'.$plugin_config['waterALPHA'].' %</td>
			</tr>
		</table>';
		break;
		
	// Actions avant enregistrement
	case 'save_config':
		if (!is_decimal($_POST['Plugins']['watermark']['waterALPHA'])) {
			$_POST['Plugins']['watermark']['waterALPHA'] = 80;
			$ERRORS['conf'][] = array(l10n('watermark.waterALPHA'), 'must_be_integer');
		}
		
		break;
		
	// Formulaire d'dition
	case 'edit_config':
		$PAGE['content'] .= '
		<table>
			<tr>
				<td>'.l10n('watermark.waterFILE').' :</td>
				<td><input type="text" name="Plugins[watermark][waterFILE]" value="'.$plugin_config['waterFILE'].'" size="10"/></td>
			</tr>
			<tr>
				<td>'.l10n('watermark.waterALPHA').' :</td>
				<td><input type="text" name="Plugins[watermark][waterALPHA]" value="'.$plugin_config['waterALPHA'].'" size="3"/>%</td>
			</tr>
		</table>';
		break;
}
?>
